class Main {
  Main(){}

  void printStack (sys s, Stack t) {
    if (t.isEmpty())
      s.print (" //");
    else {
	s.print(" " + t.top());
	t.pop();
	printStack (s, t);
    }
  }

  void printIterator (sys s, Iterator i) {
    if (i.isFinished())
      s.print("END" + "\n");
    else {
	s.print("key = " + i.key() + " \t\t data = ");
	printStack(s, i.data());
	s.print("\n");
	i.moveNext();
	printIterator(s, i);
    }
  }


  void Main (){
    sys sy = new sys();

    Grouper grp = new Grouper();
    grp.add("aaa", "AAA");
    grp.add("bbb", "BBB");
    grp.add("ccc", "CCC");
    /*
    sy.print ("Initially filled list:\n");
    printIterator(sy, grp.iterator());
    */
    sy.print("First entry: aaa -> " + grp.get("aaa") + "\n");

    grp.add("bbb", "B1B1B1");
    sy.print("Second entry after resetting: bbb -> " + grp.get("bbb") + "\n");

    grp.add("ccc", "C1C1C1");
    grp.add("aaa", "A1A1A1");
    sy.print("List after resetting also first and third entries:\n");
    printIterator(sy, grp.iterator());
  }


}
