
type name = string
type ty = string
type param = ty list
type return = ty

type parent = string
type implements = string list
type fields = (name * ty) list
type ctors = param list
type methods = (name * return * param) list
type clazz = name * parent * implements * fields * ctors * methods
type iface = name * implements * methods

type t = Class of clazz | Iface of iface
