val find_preactions : Ta.state -> unit
   

(** (tyMatch argType pattern) matches a type against a pattern
   and returns a subtype of the argument type that actually matches,
   and two hash tables: one maps variables bound inside labels to
   their types, the other maps sequence variables to their matched
   automata. *)
val tyMatch: Ta.state -> Ta.state -> 
    Ta.state * (SynDenot.ty IdBind.t) * (Ident.id, Ta.state) Hashtbl.t
(* raises NoLabsMaximum *)

val reset : unit -> unit

exception NoLabsMaximum of (Ident.id * SynDenot.hostty list)


