module SD = SynDenot

let topclass = ref Ident.dummyid
let any_id = ref Ident.dummyid
let parent = ref (Ident.empty)
let implements = ref (Ident.empty)
let id_to_seqty = ref Ident.empty       
let seqty_to_states = SD.SeqTbl.create 97
let any_seqty_def = ref (SD.seqty (SD.TSeqRef Ident.dummyid)) (* bogus *)
let any_ta = ref Ta.empty                                     (* bogus *)
let sub_hyps = ref Ta.IntLsLsSet.empty
let failure_cache = ref Ta.IntLsLsMap.empty
let inf_asm = ref Ta.StStMap.empty              


let reset () = 
  begin
    topclass := Ident.dummyid;
    parent := Ident.empty;
    implements := Ident.empty;
    any_id := Ident.dummyid;
    id_to_seqty := Ident.empty; 
    SD.SeqTbl.clear seqty_to_states;
    any_seqty_def :=  SD.seqty (SD.TSeqRef Ident.dummyid);
    any_ta :=  Ta.empty;   (* bogus *)      
    sub_hyps :=  Ta.IntLsLsSet.empty;     
    failure_cache :=  Ta.IntLsLsMap.empty;
    inf_asm :=  Ta.StStMap.empty;           
  end




