<%@ 
    Page language="c#" src="index.aspx.cs"
    AutoEventWireup="false" Inherits="WebDataQuery.WebForm1" 
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
 <HTML>
  <HEAD>
   <title>Query</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
   <link rel="stylesheet" type="text/css" href="default.css"/>
  </HEAD>
  <body>
  <div id="whole">
   <div id="banner">&nbsp;</div>
   <div id="message">Conversion from Dublin Core records to BibTex Records</div>
   <div id="content">
    <span class="title">Queries to the Library of Congress</span>
     <div id="text">

   <form id="Form1" method="post" runat="server">
    <P>
     <asp:Label id="Presentation" runat="server" Text="Query Specification"/>
    </P>
    <P>   
     <asp:TextBox id="QueryTextBox" runat="server"/>
    </P>
    <P>
     <asp:Label id="Number" runat="server" Text="Maximum Number Of
     Records"/>
     <asp:DropDownList id="MaxReturnList"
       AutoPostBack="True"
       runat="server">
      <asp:ListItem Selected="True" Value="10"> 10 </asp:ListItem>
      <asp:ListItem Value="20"> 20 </asp:ListItem>
      <asp:ListItem Value="30"> 30 </asp:ListItem>
      <asp:ListItem Value="40"> 40 </asp:ListItem>
      <asp:ListItem Value="50"> 50 </asp:ListItem>
     </asp:DropDownList>
    </P>
    <P>
     <asp:Label id="Offset" runat="server" Text="Offset"/>
     <asp:RequiredFieldValidator id="QueryRequiredFieldValidator" runat="server" 
             ErrorMessage="A non-null query is required" 
             ControlToValidate="QueryTextBox"/>
     <asp:TextBox id="OffsetTextBox" runat="server"/>
     <asp:RequiredFieldValidator id="OffsetRequiredFieldValidator" runat="server" 
             ErrorMessage="A non-null offset is required" 
             ControlToValidate="OffsetTextBox"/>
     <asp:RangeValidator
                        ControlToValidate="OffsetTextBox"
                        MinimumValue="1"
                        MaximumValue="65535"
                        Type="Integer"
                        EnableClientScript="false"
                        Text="The value must be an integer larger than 1."
                        runat="server" />
    </P>        
    <P>
     <asp:Button id="SubmitButton" runat="server" Text="Submit"/>
     <asp:Button id="CancelButton" runat="server" Text="Cancel" 
              CausesValidation="False"/>
     <asp:Button id="ViewButton" runat="server" Text="View Selected"/>
    </P>
    <p>
     <a id="ReturnLink" runat="server">
      <asp:Label id="ReturnValue" runat="server"/>
     </a>
     <br />       
     <a id="ReturnLink2" runat="server">
      <asp:Label id="ReturnValue2" runat="server"/>
     </a>       
    </p>
    <p>
     <asp:datagrid CssClass=asptable id="XmlDataGrid" 
                   CellSpacing="1" runat="server" 
                   OnSortCommand="SortGrid" AllowSorting="True">
      <HeaderStyle Font-Bold="True" HorizontalAlign="Center"/>
      <Columns>
       <asp:TemplateColumn HeaderText="contract">
        <HeaderTemplate>
         <input type="checkbox" id="checkAll"
                onclick="CheckAll(this);" runat="server" name="checkAll">
        </HeaderTemplate>
        <ItemTemplate>
         <input type="checkbox" runat="server" id="RecordId"
                onclick="CheckChanged();" checked='false' />
        </ItemTemplate>
       </asp:TemplateColumn>
      </Columns>
     </asp:datagrid>
    </p>
   </form>

      <div id="menu">
       <span class="menuTitle">Links</span><br>
        <a href="http://www.cis.upenn.edu/~bcpierce/xtatic/">The Xtatic Project</a><br/>
        <a href="http://www.loc.gov/z3950/agency/">Z39.50 Maintenance Agency
            Page</a><br/>
        <a
        href="http://www.ilrt.bristol.ac.uk/people/cmdjb/research/metadata/dc/xml/wd-dc-xml-20000619.html">The
        Dublin Core Specification</a><br/>
      </div>
     </div>
    </div>
   </div>
  </body>
 </HTML>
