using System;
using System.Text;
using Con = System.Console;

class Runner{
      Runner() {}       

    static void Main (String[] args){
        Con.WriteLine("This is dc2txt converter.");
    Con.WriteLine("  dc2txt accepts a SRU query , ");
    Con.WriteLine("  prints the titles and creators ");
    Con.WriteLine("  of the answer of the Library of Congress.");
    if (args.Length != 3) {
      Con.WriteLine("Usage:  dc2txt query answerfile outfile");
      return;
    }
        string request = args[0];
        string outputfile = args [1];
        string resultsfile = args [2];
        Xtatic.Seq page = Xtatic.Utils.LoadXmlFromUri("http://z3950.loc.gov:7090/voyager?version=1.1&operation=searchRetrieve&query="+request+"&maximumRecords=1000&recordSchema=dc");
        string result = Worker.ExtractData(page);
        Xtatic.Utils.WriteToFile(outputfile, Xtatic.Utils.ToPretty(page));
        Xtatic.Utils.WriteToFile(resultsfile,result);
    }                                     
}
