val compile_prog : SynTyped.prog -> Ident.id -> Il.prog

val gen_numbered_y_id : int -> string

val make_seq : Il.exp -> Il.exp -> Il.exp

val escape_tag : string -> string
val escape_tag_add_prefix : string -> string

val bottom_value : Il.typ -> Il.exp

type simplicity_specification =
  | ISPStr
  | ISPAny
  | ISPComplex
  | ISPFixed of int

type regex_decl = simplicity_specification * string

val lookup_regexsym : Il.regexsym -> regex_decl
