exception InheritanceLoop of string
(** raise if some inheritance loop is detected *)

exception MultipleInheritance of Finfo.t * string
(** raise if a class extends several classes *)

exception InterfaceExtendsClass of Finfo.t * string
(** raise if an interface extends a class *)

val extend: 
    Semant.datctx -> SynSource.prog -> Semant.datctx
  (** Extends a given data context by the definitions from the user
     program.  
       *)

