exception Ambiguous_pattern 

let check_ambiguous boot ty pat = assert false 
    
    (*** Ambiguity checking is turned off anyway...  *)

(***************** old code "repository" *******************
************ this code has dependency on Isect  ************

open Format
open DenBoot

(* A pattern is AMBIGUOUS when it can yield multiple possible
   bindings.  (This definition seems inaccurate because 
 
     (val x as T) | (val x as T)

   is not ambiguous in this definition, but our ambiguity checker
   answers ambiguous.)  *)

module TypePatternSet = Ta.StStSet

exception Ambiguous_pattern 

let disjoint1 boot (k, typ1, typ2) (l, pat1, pat2, _) =
  boot.sb_labdenot.ld_disjoint k l ||
  Isect.disjoint boot [typ1] [pat1] ||
  Isect.disjoint boot [typ2] [pat2]

let check_two_disjoint boot typl (l, pat1, pat2, _) (l', pat1', pat2', _) =
  let typl' = Isect.isectl boot typl [l, pat1, pat2, []] in
  if not(Isect.disjointl boot typl' [l', pat1', pat2', []]) then
    raise (Ambiguous_pattern)

let rec check_all_disjoint boot typl patl =
  match patl with
    [] -> 
      ()
  | pate :: patl' ->
      List.iter (fun pate' -> check_two_disjoint boot typl pate pate') patl';
      check_all_disjoint boot typl patl'

let rec check_ambiguous_rec boot set typ pat =
  if not(TypePatternSet.mem (typ,pat) !set) then begin
    set := TypePatternSet.add (typ,pat) !set;
    if pat.Ta.preclos <> [] then begin
      check_all_disjoint boot typ.Ta.next pat.Ta.next;
      List.iter 
	(fun (k, typ1, typ2, _) ->
	  List.iter
	    (fun (l, pat1, pat2, pre) ->
	      if not(disjoint1 boot (k, typ1, typ2) (l, pat1, pat2, pre)) then begin
		check_ambiguous_rec boot set typ1 pat1;
		check_ambiguous_rec boot set typ2 pat2
	      end)
	    pat.Ta.next)
	typ.Ta.next
    end
  end

(* Ambiguity check entry point *)

let check_ambiguous boot ty pat =
  Infer.find_preactions pat;
  let set = ref TypePatternSet.empty in
  check_ambiguous_rec boot set ty pat


(*BUG-003 mitigation: bypass ambiguity check *)

let check_ambiguous boot ty pat =
  ()


*****************************************************************)
