
exception StartClassNotFound
exception ElaborationError of Finfo.t * string


(*******************************************************************)

val extend_top_space: Naming.space -> SynSource.tunit -> Naming.space

val add_top_unit: Naming.ctx -> Cnaming.space -> 
  SynSource.prog -> SynSource.tunit -> SynSource.prog
    (** The addition of a cunit happens w.r.t. the parent nspace of
    the cunit, and w.r.t. the nctx existing _before_ the nspace _body_
    of which the cunit is physically a member . *)


